Results 1 to 7 of 7

Thread: 7.1 Froala npm install command not -i

  1. #1
    Sencha Premium Member
    Join Date
    Aug 2013
    Location
    Australia
    Posts
    510

    Default 7.1 Froala npm install command not -i

    npm -i --save @sencha/ext-froala-editor

    https://docs-devel.sencha.com/extjs/...ts/froala.html



    should be

    npm install --save @sencha/ext-froala-editor
    https://docs-devel.sencha.com/extjs/..._with_npm.html

    or

    npm i --save @sencha/ext-froala-editor

  2. #2
    Sencha Sr Product Manager
    Join Date
    Jan 2012
    Location
    Arlington, WA
    Posts
    1,178

    Default

    Thanks for reporting. I've sent this off to our docs team. By the way the docs team has started processing many of your other reports.

  3. #3
    Sencha Premium Member
    Join Date
    Aug 2013
    Location
    Australia
    Posts
    510

    Default

    I just watch the froala video on brighttalk and decided to try again with ExtJS7.1 and npm without success (MyApp8: froala-editor (No matches!), https://www.sencha.com/forum/showthread.php?472824).

    Maybe I am doing something wrong or maybe there is a bug in the docs. I guess I will have to wait for 7.2 and check the docs again in the hope there are workable examples.

    There is still a typo from 6.5.1 in 2017 (https://www.sencha.com/forum/showthread.php?344791, [FIXED] route Mixin typo), but at least it is gone from 7.1, so doesn't irritate newer users.

    Maybe you should have a 'Report an issue on this page' option like Scylla university (https://university.scylladb.com/cour...ials-overview/) and actually fix the current docs.

    Thanks for trying.

  4. #4
    Sencha Sr Product Manager
    Join Date
    Jan 2012
    Location
    Arlington, WA
    Posts
    1,178

    Default

    Thanks for the report, I've sent in a request to fix the naming to ext-froala-editor in the docs. https://sencha.jira.com/browse/DOCS-707

    Am I missing anything else?

  5. #5
    Sencha Premium Member
    Join Date
    Aug 2013
    Location
    Australia
    Posts
    510

    Default

    Thanks for fixing: npm install --save @sencha/ext-froala-editor

    I am sure others who try the code will be happy froala installs on ExtJS via npm.

    The next step is to get it to run (https://www.sencha.com/forum/showthread.php?472824) when

    app.json
    "requires": [
    "font-awesome",
    "froala-editor"
    ],

    I see the naming has been reported, hopefully that fixes it.



    If you have time
    https://www.sencha.com/forum/showthread.php?472855, ticket 50161]
    would help me, as I can't get AWS Amplify working, ticket 50074

    In your next brighttalk could you make sure the audio and video (focus) are working properly.


    Regards,
    Damien

  6. #6
    Sencha Sr Product Manager
    Join Date
    Jan 2012
    Location
    Arlington, WA
    Posts
    1,178

    Default

    I've done some testing and everything seems to work to me. I did some adjustments to the getting started guide here too. Which version are you using? Or could I get a project example I could test?
    https://docs.sencha.com/extjs/7.1.0/...ts/froala.html

  7. #7
    Sencha Premium Member
    Join Date
    Aug 2013
    Location
    Australia
    Posts
    510

    Default

    I left a message on the other bug
    https://www.sencha.com/forum/showthr...t-will-not-run
    This bug is fixed, although it would be nice if there was greater contrast between the narration text and the code to use text.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •